Last Comment Bug 652261 - [toolkit] tracking bug for phase 1 of Firefox brand toolkit
: [toolkit] tracking bug for phase 1 of Firefox brand toolkit
Status: RESOLVED FIXED
:
Product: Marketing
Classification: Other
Component: Design (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: John Slater
:
:
Mentors:
Depends on: 652264 652265 652267 652269 652270 652271 652272 652274 652275 652279 652280 652281 658730
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-22 16:37 PDT by John Slater
Modified: 2011-08-04 17:56 PDT (History)
9 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description John Slater 2011-04-22 16:37:48 PDT
This is a tracking bug for phase 1 of the Firefox brand toolkit...related bugs to follow. All projects documented here should be completed in Q2.

Goal:

Overview:
* intro/how to use the guide
* logo files & rules
* website elements
* wordmarks 
* fonts
* overall visual palette
* swag guide (esp t-shirts)
* domain strategy
* copy tone/voice
* copy/l10n guide
* copy rules
* brand positioning

Let me know what's missing...
Comment 1 John Slater 2011-04-22 17:22:53 PDT
More info-

> Goal:
Create a wide-ranging guide to the Firefox brand and how to represent it. Should cover everything from logos to visual info to website details to copy style and more. Q2 goal is to create and compile the information in wiki format, followed by a Q3 goal of making it pretty and giving it a more permanent online home.

> * intro/how to use the guide
bug 652264
due: May 31

> * logo files & rules
bug 652265 
due: May 31

> * website elements
bug 652267 
due: June 15

> * wordmarks 
bug 652269
due: May 13

> * fonts
bug 652270 
due: June 15

> * overall visual palette
bug 652271 
due: June 27

> * swag guide (esp t-shirts)
bug 652272 
due: June 15

> * domain strategy
bug 652274 
due: May 31

> * copy tone/voice
bug 652275 
due: May 20

> * copy/l10n guide
bug 652279 
due: June 10

> * copy rules
bug 652280
due: June 27

> * brand positioning
bug 652281 
due: June 27
Comment 2 David Boswell 2011-04-25 11:00:16 PDT
> Let me know what's missing...

One thought about something that might be missing is a definition of the audience for different types of sites and how that might influence how certain elements of the toolkit are applied.  

For instance, a user-facing site like addons.mozilla.org would probably apply the toolkit differently from a developer-facing site like hg.mozilla.org.

Maybe this is something that belongs under the "how to use the toolkit bug", but defining the different audiences might be something that we look at separately?

One other suggestion is that when appropriate we have pieces of the toolkit go through the website task force.  That will help us get buy-in from a large set of stakeholders and can help make implementing this easier when we get to that part of the process.
Comment 3 John Slater 2011-04-25 12:53:37 PDT
Thanks David. +1 for looping the task force in...that will happen for sure. I think your other points are best considered as part of the 'how to use the toolkit' bug...please post any thoughts you have there.

Thanks!
Comment 4 John Slater 2011-05-18 10:43:07 PDT
Breakdown of website structure (per meeting with me, Matej & Sean):

- home
   - intro/how to use
- positioning
   - mainly content from https://wiki.mozilla.org/Brand/Firefox
- marks
   - logos
   - wordmarks
   - typeface
- visual elements
   - illustrations
   - colors
   - swag 
- website
  - design assets (universal tab, button styles, background gradient)
  - domain strategy
- copy
  - tone/voice
  - l10n guide
  - rules
- downloads
  - logos
  - wordmarks
  - etc

(this is still up for discussion, but wanted to put this out there as a starting point)
Comment 5 John Slater 2011-05-24 18:26:55 PDT
Adding one more - bug 658730, which covers partner logo lockups.
Comment 6 John Slater 2011-08-04 17:56:11 PDT
First draft of the toolkit posted at http://www.intothefuzz.com/2011/08/01/firefox-brand-toolkit-first-draft/ for public review, so marking this bug as resolved. We can always open new ones to refine further.

Thanks all!

Note You need to log in before you can comment on or make changes to this bug.